Bug 1570592 - kernel: Infinite recursion in arch/x86/kernel/kvmclock.c:kvm_clock_read() possibly leading to denial of service
Summary: kernel: Infinite recursion in arch/x86/kernel/kvmclock.c:kvm_clock_read() pos...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1570595
TreeView+ depends on / blocked
 
Reported: 2018-04-23 09:56 UTC by Adam Mariš
Modified: 2019-09-29 14:37 UTC (History)
43 users (show)

Fixed In Version: kernel 3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-24 05:18:00 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-04-23 09:56:16 UTC
When CONFIG_DEBUG_PREEMPT is enabled, preempt_disable/enable() are traced which causes the function_graph tracer to go into an infinite recursion possibly leading to denial of service.

Upstream patch:

https://github.com/torvalds/linux/commit/95ef1e52922cf75b1ea2eae54ef886f2cc47eecb


Note You need to log in before you can comment on or make changes to this bug.